﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using GWSocketClient.util;
using XuanJiSocket;


namespace GWSocketClient
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private string ip;
        private string port;
        private SocketHelper.TcpClients sockeTcpClients;

        private void Form1_Load(object sender, EventArgs e)
        {
            SocketHelper.pushSockets = new SocketHelper.PushSockets(receiveData); //注册推送器
            sockeTcpClients = new SocketHelper.TcpClients();
            ip = tbIpaddress.Text.Trim();
            port = tbPort.Text.Trim();
        }

        private void receiveData(SocketHelper.Sockets sks)
        {
            byte[] buffer = new byte[sks.Offset];
            Array.Copy(sks.RecBuffer, buffer, sks.Offset);
            string byteToHexStr = HexUtil.byteToHexStr(buffer);

            MessageBox.Show("1" + byteToHexStr);
        }

        private void tbEquipmentAddress_TextChanged(object sender, EventArgs e)
        {
            string equipmentAddress = tbEquipmentAddress.Text.Trim();

            tsslEquipmentAddress.Text = equipmentAddress.Length / 2.0 + "";
        }

        private void btnLogin_Click(object sender, EventArgs e)
        {
            try
            {
                ip = tbIpaddress.Text.Trim();
                port = tbPort.Text.Trim();

                sockeTcpClients.InitSocket(ip, int.Parse(port));
                sockeTcpClients.Start();

                byte[] ts = HexUtil.hexToBytes("7e7e7e4442832e833c8200143839383630324231313931353530343739383737f7");
                sockeTcpClients.SendData(ts);
            }
            catch (Exception ex)
            {
//                statuslist.Items.Add(string.Format("连接失败!原因：{0}", ex.Message));

                btnLogin.Enabled = true;
            }
        }

        private void tbCCID_TextChanged(object sender, EventArgs e)
        {
            string ccid = tbCCID.Text.Trim();

            tsslCCIDLEN.Text = ccid.Length / 2.0 + "";
        }

        private void btnQuickLogout_Click(object sender, EventArgs e)
        {
            sockeTcpClients.Stop();
        }
    }
}